Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class PolicyActionCheckRequiredForInsert

    java.lang.Object
      oracle.ifs.server.PolicyActionCheckRequiredForInsert

All Implemented Interfaces:
  PolicyAction

    public class PolicyActionCheckRequiredForInsert

extends java.lang.Object
implements PolicyAction

A PolicyActionCheckRequiredForInsert performs part of the preInsert operation.

(Published)

Field Summary

Fields inherited from interface oracle.ifs.server.PolicyAction
`OUTCOME_STATUS_CEASE_ALL, OUTCOME_STATUS_NORMAL`

Constructor Summary
`PolicyActionCheckRequiredForInsert()`

Method Summary
`int` | `execute(S_LibrarySession session, OperationDriver opDriver, OperationContext opState, PolicyActionContext pac)` Execute the action.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolicyActionCheckRequiredForInsert

    public PolicyActionCheckRequiredForInsert()

Method Detail

### execute

    public int execute(S_LibrarySession session,
                       OperationDriver opDriver,
                       OperationContext opState,
                       PolicyActionContext pac)
                throws IfsException

  Description copied from class: `PolicyActionCheckRequiredForInsert`
  Execute the action.

  Specified by:
    `execute` in interface `PolicyAction`
  Parameters:
    `session` - the current session performing the operation
    `opDriver` - the operation driver driving this operation
    `opState` - the operation state
    `pac` - the context of this PolicyAction
  Returns:
    the outcome status of the operation, one of OUTCOME_STATUS_NORMAL, OUTCOME_STATUS_CEASE_ALL, or OUTCOME_STATUS_FILTER_SUBSEQUENT
  Throws:
    `IfsException` - if the operation fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD